#!/bin/bash
PACKAGES_DIR=../../SL
FASTBUGS_DIR=../../updates/fastbugs
CONTRIB_DIR=../../contrib
SECURITY_DIR=../../updates/security
echo "Checking $PACKAGES_DIR $FASTBUGS_DIR $SECURITY_DIR $CONTRIB_DIR"
for rpm in $(ls $PACKAGES_DIR/*.rpm $FASTBUGS_DIR/*.rpm $SECURITY_DIR/*.rpm $CONTRIB_DIR/*/*.rpm)
do
        rpmdev-checksig $rpm 1> /dev/null
        if [ $? -ne 0 ] ; then
           echo "$rpm is NOT signed"
        fi
done
